Skip to main content
`Ctrl`+`K`

# BVRestoreArray

Restore the `BV` object after `BVGetArray()` has been called.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVRestoreArray(BV bv,PetscScalar **a)

Logically Collective

## Input Parameters

- bv - the basis vectors context

- a - location of pointer to array obtained from `BVGetArray()`

## Note

This operation may imply a data copy, for `BV` types that do not store data contiguously in memory.

## See Also

BV: Basis Vectors, `BVGetArray()`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVRestoreArray_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVRestoreArray_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVRestoreArray_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages